<?php

namespace BooklyServiceExtras\Frontend\Modules\ModernBookingForm\ProxyProviders;

use Bookly\Lib as BooklyLib;
use Bookly\Frontend\Modules\ModernBookingForm\Proxy;

/**
 * Class Shared
 *
 * @package BooklyServiceExtras\Frontend\Modules\ModernBookingForm\ProxyProviders
 */
class Shared extends Proxy\Shared
{
    /**
     * @inerhitDoc
     */
    public static function prepareFormOptions( array $bookly_options )
    {
        $bookly_options['extrasSettings'] = array(
            'extrasAfterTime' => (int) get_option( 'bookly_service_extras_after_step_time' ),
            'multiplyNop' => (int) get_option( 'bookly_service_extras_multiply_nop' ),
            'show' => get_option( 'bookly_service_extras_show' ),
        );

        return $bookly_options;
    }

    /**
     * @inerhitDoc
     */
    public static function prepareAppearance( array $bookly_options )
    {
        $bookly_options['l10n']['summary'] = __( 'Summary', 'bookly' );
        $bookly_options['show_extras_price'] = true;
        $bookly_options['show_extras_summary'] = true;

        return $bookly_options;
    }
}